Subject: RE: [mobile-ip] IPv4 Fast Handover Support for 802.11

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Fri, 22 Mar 2002 18:36:16 +0100

> => Sure, but we never assumed that 802.11 was connection-oriented.
  > The assumption was that this is an implementation issue.
  > The paper Ajoy referred to, shows that windows already
  > supports this.
  > 
  > Ajoy-> The paper seems to indicate that it is possible to support 
  > this in some WLAN driver. But frankly we have not been able to 
  > realize this in our lab setup. I would still think having 
  > IEEE to provide 
  > some standard mechanism to support L2 triggers will be 
  > really helpful. 

=> Ideally, yes. But I just didn't think
that any SDO can mandate an API that is internal
to a device. If they do then it would be great!
Unless they want to go down the track of making
WLANs connection-oriented, which is a major change
in the WLAN design philosophy. 

Hesham

  > 
  > 
  >   > As an example of a problem that could occur, suppose the 
  >   > driver makes an
  >   > assumption, based on power levels, that the MN is going 
  > to handover
  >   > somewhere and the IP level starts performing prehandover 
  >   > care of address
  >   > change. The standard has no commitment that the handover 
  >   > will, in fact,
  >   > occur, and it could equally well be aborted and the MN 
  >   > could handover to
  >   > another access point.
  > 
  > => The handover is decided by the MN. So if the MN decided
  > in the last minute (so to speak) to change AP, then 
  > maybe there will be no time for anticipation. But 
  > I think Handover failures are possible in any scenario, there
  > is not much we can do about this on the IP layer.
  > 
  > Hesham
  >

---

From: "James Kempf" <[email-masked]>
Date: Sat, 23 Mar 2002 19:59:48 -0800

Hesham,

> in the WLAN design philosophy.

I don't think this has anything to do with mandating a particular API. I
should probably look more closely at the standard, but from talking to
people who know it better, I don't believe the 802.11 standard has the
kind of strict power levels for handoff that other radio protocols have,
such that if the power dips below a certain level, then handoff to
another access point with the highest power level is certain. I believe
it is left up to the implementors to determine this. Anybody who knows
the 802.11 standard better than I, please correct me if I am wrong. I
don't believe this has anything to do with whether the WLAN is
connection oriented or not, it just involves how they define a
standard-conformant implementation w.r.t. handover.

If that's so, then the actual implementation will vary widely and make
it difficult to implement a consistent L2 trigger. Standardizing
something along these lines would help proactive mobile controlled
handoff.

            jak